/*
 * @(#)LogWin.java
 *
 * This file is part of webCDwriter - Network CD Writing.
 *
 * Copyright (C) 2001-2004 Jörg P. M. Haeger
 *
 * webCDwriter is free software. See CDcreator.java for details.
 *
 * Jörg Haeger, 10.08.2000
 */

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class LogWin extends JDialog {
	public LogWin() {
		super(CDcreator.frame, i18n("titleLogWin"), true);

		getContentPane().add(
			Log.getView(),
			BorderLayout.CENTER);

		JPanel panel = new JPanel();
		panel.setLayout(new FlowLayout());

		JButton close = new JButton(i18n("close"));
		close.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				setVisible(false);
			}
		});
		panel.add(close);

		getContentPane().add(panel, BorderLayout.SOUTH);

		setSize(440, 330);
		CDcreator.view.center(this);
	}

	static String i18n(String str) {
		return CDcreator.i18n(str);
	}
}
